diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index fa07bc4..72a87c0 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -3160,35 +3160,51 @@ These are implemented by this category:
 ++ has a finite number of elements.
 
 Aggregate: Category == Type with
+
    eq?: (%,%) -> Boolean
      ++ eq?(u,v) tests if u and v are same objects.
+
    copy: % -> %
      ++ copy(u) returns a top-level (non-recursive) copy of u.
      ++ Note that for collections, \axiom{copy(u) == [x for x in u]}.
+
    empty: () -> %
      ++ empty()$D creates an aggregate of type D with 0 elements.
      ++ Note that The $D can be dropped if understood by context,
-     ++ e.g. \axiom{u: D := empty()}.
+     ++ for example \axiom{u: D := empty()}.
+
    empty?: % -> Boolean
      ++ empty?(u) tests if u has 0 elements.
+
    less?: (%,NonNegativeInteger) -> Boolean
      ++ less?(u,n) tests if u has less than n elements.
+
    more?: (%,NonNegativeInteger) -> Boolean
      ++ more?(u,n) tests if u has greater than n elements.
+
    size?: (%,NonNegativeInteger) -> Boolean
      ++ size?(u,n) tests if u has exactly n elements.
+
    sample: constant -> %
      ++ sample yields a value of type %
+
    if % has finiteAggregate then
      "#": % -> NonNegativeInteger
        ++ # u returns the number of items in u.
  add
+
   eq?(a,b) == EQ(a,b)$Lisp
+
   sample() == empty()
+
   if % has finiteAggregate then
+
     empty? a   == #a = 0
+
     less?(a,n) == #a < n
+
     more?(a,n) == #a > n
+
     size?(a,n) == #a = n
 
 \end{chunk}
diff --git a/buglist b/buglist
index ba1410e..a60bb35 100644
--- a/buglist
+++ b/buglist
@@ -887,19 +887,6 @@ typos 40356:
 
 
 =========================================================================
-typos 40355:
-
->compiling AGG.spad to AGG.nrlib
-
-
---->-->Aggregate&((empty (%))): Missing left brace
-"\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}."
-
---->bookvol10.2.pamphlet-->Aggregate((empty (%))): Missing left brace
-"\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}."
-
-
-=========================================================================
 typos 40354:
 
 >compiling BLMETCT.spad to BLMETCT.nrlib
@@ -40515,4 +40502,17 @@ typos 40357:
 --->bookvol10.2.pamphlet-->PartialTranscendentalFunctions(constructor): Missing left brace
 "A package which provides partial transcendental functions, \\spadignore{i.e.} functions which return an answer or \"failed\" This is the description of any package which provides partial functions on a domain belonging to TranscendentalFunctionCategory."
 
+fixed 20130317.01.tpd.patch
+=========================================================================
+typos 40355:
+
+>compiling AGG.spad to AGG.nrlib
+
+
+--->-->Aggregate&((empty (%))): Missing left brace
+"\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}."
+
+--->bookvol10.2.pamphlet-->Aggregate((empty (%))): Missing left brace
+"\\spad{empty()}$D creates an aggregate of type \\spad{D} with 0 elements. Note that The \\spad{$D} can be dropped if understood by context, \\spadignore{e.g.} \\axiom{u: \\spad{D} \\spad{:=} empty()}."
+
 
diff --git a/changelog b/changelog
index 79b964d..46ce1a5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130317 tpd src/axiom-website/patches.html 20130317.01.tpd.patch
+20130317 tpd buglist AGG fixed 40355
+20130317 tpd books/bookvol10.4 AGG fixed 40355
 20130316 tpd src/axiom-website/patches.html 20130316.08.tpd.patch
 20130316 tpd buglist PTRANFN fixed 40357
 20130316 tpd books/bookvol10.4 PTRANFN fixed 40357
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b04e5e3..ff88d57 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4085,5 +4085,7 @@ books/bookvol10.4 ELTAB fix 40360
 books/bookvol10.4 MSYSCMD fix 40359
 <a href="patches/20130316.08.tpd.patch">20130316.08.tpd.patch</a>
 books/bookvol10.4 PTRANFN fixed 40357
+<a href="patches/20130317.01.tpd.patch">20130317.01.tpd.patch</a>
+books/bookvol10.2 AGG fixed 40355
  </body>
 </html>
